%define _unpackaged_files_terminate_build 1

Name: etckeeper
Version: 0.41
Release: alt2

Summary: Etckeeper help to keep your /etc directory in VCS repository
License: GPL2+
Group: Development/Other
Url: http://kitenet.net/~joey/code/etckeeper/
Source: %name-%version.tar
Patch: %name-%version-%release.patch
BuildArch: noarch
AutoReq: yes,noshell
Requires: coreutils diffutils findutils git-core grep sh

Packager: Evgenii Terechkov <evg@altlinux.org>

%description
etckeeper is a collection of tools to let /etc be stored in a VCS
repository. It hooks into apt/yum/packman/etc to automatically commit
changes made to /etc during package upgrades. It's quite modular and
configurable, while also being simple to use if you understand the
basics of working with VCS.

%prep
%setup
%patch -p1

%build
%install
make install DESTDIR=%buildroot
install -D debian/cron.daily %buildroot%_sysconfdir/cron.daily/%name

# Fix for /var/cache/etckeeper:
mkdir -p %buildroot%_cachedir/%name

# We dont want bzr now:
rm -rf %buildroot%_libdir/python*
# There is no cruft package for ALT:
rm -rf %buildroot%_sysconfdir/cruft

%post
if [ -e %_sysconfdir/.git/hooks/pre-commit ] && egrep '^%name' %_sysconfdir/.git/hooks/pre-commit >/dev/null 2>&1; then
 echo "Replacing path to etckeeper to absolute in %_sysconfdir/.git/hooks/pre-commit"
 sed -i 's|^%name|%_sbindir/%name|;s|^/usb/|/usr/|' %_sysconfdir/.git/hooks/pre-commit
fi

%files
%_sbindir/%name
%_sysconfdir/%name
%_sysconfdir/apt/apt.conf.d/%name.conf
%_man8dir/%{name}.*
%_sysconfdir/bash_completion.d/%name
%_cachedir/%name
%_sysconfdir/cron.daily/%name

%doc README TODO

%changelog
* Fri Oct  2 2009 Terechkov Evgenii <evg@altlinux.ru> 0.41-alt2
- Package list generation fixed

* Sun Sep 27 2009 Terechkov Evgenii <evg@altlinux.ru> 0.41-alt1
- 0.41

* Thu Aug 27 2009 Terechkov Evgenii <evg@altlinux.ru> 0.40-alt1
- 0.40

* Thu Jul  9 2009 Terechkov Evgenii <evg@altlinux.ru> 0.38-alt1
- 0.38

* Sat Jul  4 2009 Terechkov Evgenii <evg@altlinux.ru> 0.37-alt2
- Document ETCKEEPER_CONF_DIR in man page (ALT #20587)
- Description updated

* Tue Jun  9 2009 Terechkov Evgenii <evg@altlinux.ru> 0.37-alt1
- 0.37

* Sun May 17 2009 Terechkov Evgenii <evg@altlinux.ru> 0.36-alt1
- 0.36

* Thu May 14 2009 Terechkov Evgenii <evg@altlinux.ru> 0.35-alt2
- Typo fixed (ALT #20038)
- Dont require perl anymore
- Dont build bzr plugin (requires python)

* Thu May  7 2009 Terechkov Evgenii <evg@altlinux.ru> 0.35-alt1
- 0.35

* Thu Apr 16 2009 Terechkov Evgenii <evg@altlinux.ru> 0.34-alt4
- Upgrade from etckeeper < 0.34-alt2 fixed (ALT #19638)

* Thu Apr  2 2009 Terechkov Evgenii <evg@altlinux.ru> 0.34-alt3
- Paths in precommit hook fixed

* Wed Apr  1 2009 Terechkov Evgenii <evg@altlinux.ru> 0.34-alt2
- Cron paths fixed

* Sat Mar 21 2009 Terechkov Evgenii <evg@altlinux.ru> 0.34-alt1
- 0.34

* Sun Feb  8 2009 Terechkov Evgenii <evg@altlinux.ru> 0.27-alt1.1
- Stupid typo in apt conf fixed

* Sun Feb  8 2009 Terechkov Evgenii <evg@altlinux.ru> 0.27-alt1
- 0.27

* Sat Sep 20 2008 Terechkov Evgenii <evg@altlinux.ru> 0.21-alt1
- 0.21

* Sat Jul 19 2008 Terechkov Evgenii <evg@altlinux.ru> 0.20-alt1
- 0.20
- Patch updated (obsoleted code removed, package list support for RPM added)
- Obsoleted fix removed from spec

* Sat Mar 22 2008 Terechkov Evgenii <evg@altlinux.ru> 0.12-alt1
- 0.12

* Sun Feb 10 2008 Terechkov Evgenii <evg@altlinux.ru> 0.10-alt2
- Unneeded patches removed

* Sat Feb  9 2008 Terechkov Evgenii <evg@altlinux.ru> 0.10-alt1
- 0.10

* Wed Jan  2 2008 Terechkov Evgenii <evg@altlinux.ru> 0.6-alt0
- Initial build for ALT Linux Sisyphus
